package com.bocloud.cmp.model.hmc.pcm;

import java.util.List;

public class ViosUtilStorage {
    private List<ViosGenericAdapter> genericPhysicalAdapters;
    private List<ViosGenericAdapter> genericVirtualAdapters;
    private List<FiberChannelAdapter> fiberChannelAdapters;
    private List<SharedStoragePool> sharedStoragePools;
    private List<StmViosStorageDevice> physicalDevices;
    private List<StmViosStorageDevice> virtualDevices;

    public List<ViosGenericAdapter> getGenericPhysicalAdapters() {
        return genericPhysicalAdapters;
    }

    public void setGenericPhysicalAdapters(List<ViosGenericAdapter> genericPhysicalAdapters) {
        this.genericPhysicalAdapters = genericPhysicalAdapters;
    }

    public List<ViosGenericAdapter> getGenericVirtualAdapters() {
        return genericVirtualAdapters;
    }

    public void setGenericVirtualAdapters(List<ViosGenericAdapter> genericVirtualAdapters) {
        this.genericVirtualAdapters = genericVirtualAdapters;
    }

    public List<FiberChannelAdapter> getFiberChannelAdapters() {
        return fiberChannelAdapters;
    }

    public void setFiberChannelAdapters(List<FiberChannelAdapter> fiberChannelAdapters) {
        this.fiberChannelAdapters = fiberChannelAdapters;
    }

    public List<SharedStoragePool> getSharedStoragePools() {
        return sharedStoragePools;
    }

    public void setSharedStoragePools(List<SharedStoragePool> sharedStoragePools) {
        this.sharedStoragePools = sharedStoragePools;
    }

    public List<StmViosStorageDevice> getPhysicalDevices() {
        return physicalDevices;
    }

    public void setPhysicalDevices(List<StmViosStorageDevice> physicalDevices) {
        this.physicalDevices = physicalDevices;
    }

    public List<StmViosStorageDevice> getVirtualDevices() {
        return virtualDevices;
    }

    public void setVirtualDevices(List<StmViosStorageDevice> virtualDevices) {
        this.virtualDevices = virtualDevices;
    }
}
